Bug 7916 - Box repaint rect does not include the left overflow
: Box repaint rect does not include the left overflow
Status: VERIFIED FIXED
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering
: 420+
: Macintosh Mac OS X 10.4
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 10:39 PST by mitz@webkit.org
Modified: 2006-03-31 01:11 PST (History)
0 users

See Also:


Attachments
Test case (1.00 KB, text/html)
2006-03-22 10:40 PST, mitz@webkit.org
no flags Details
Include left and top overflow in repaint rects (7.44 KB, patch)
2006-03-22 11:01 PST, mitz@webkit.org
no flags Details | Formatted Diff | Diff
Include left and top overflow in repaint rects (7.51 KB, patch)
2006-03-23 08:31 PST, mitz@webkit.org
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitz@webkit.org 2006-03-22 10:39:26 PST
See the attached test case for examples of blocks not repainting their left overflow when it they (or their content) move. In all cases, pressing the Test button should move "Lorem" together with "ipsum".

I am going to attach a patch.
Comment 1 mitz@webkit.org 2006-03-22 10:40:24 PST
Created attachment 7232 [details]
Test case
Comment 2 mitz@webkit.org 2006-03-22 11:01:47 PST
Created attachment 7233 [details]
Include left and top overflow in repaint rects
Comment 3 Darin Adler 2006-03-23 07:24:36 PST
Comment on attachment 7233 [details]
Include left and top overflow in repaint rects

Seems to me that overflowRect should be passing the "include interior" boolean along to overflowWidth() and overflowHeight(), no?
Comment 4 mitz@webkit.org 2006-03-23 08:31:38 PST
Created attachment 7249 [details]
Include left and top overflow in repaint rects

Corrected the error pointed out by Darin.
Comment 5 Darin Adler 2006-03-23 09:49:06 PST
Comment on attachment 7249 [details]
Include left and top overflow in repaint rects

r=me
Comment 6 mitz@webkit.org 2006-03-27 08:05:21 PST
Eric committed the patch as r13483.
Comment 7 mitz@webkit.org 2006-03-31 01:11:53 PST
Verified in r13594 nightly.